Subject: Do not intercept C-TAB on Haiku OS

From: Tor-björn Claesson <[email-masked]>
Date: Tue, 2 Apr 2024 09:33:24 +0300

Hello!

On Haiku, C-TAB switches between application windows. Emacs unfortunately
intercepts this keystroke, breaking window switching.

This patch makes Emacs instead pass C-TAB to Haiku, while introducing the
variable haiku-pass-control-tab-to-system, allowing the current behaviour.

I would be grateful for feedback on this patch, and am willing to work on
it until it is ok. If necessary, I'm happy to assign copyright.

Cheers,
Tor-björn Claesson